Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer.monitor
Class SimpleMonitorService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.web.loadbalancer.monitor.AbstractMonitor
                  org.jboss.web.loadbalancer.monitor.SimpleMonitorService

All Implemented Interfaces:
  AbstractMonitorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Runnable, org.jboss.system.Service, org.jboss.system.ServiceMBean, SimpleMonitorServiceMBean

public class SimpleMonitorService
extends AbstractMonitor
implements SimpleMonitorServiceMBean

A monitor service that does no further content checking.

Version:
  $Revision: 1.2 $
Author:
  Thomas Peuss

Field Summary

Fields inherited from class org.jboss.web.loadbalancer.monitor.AbstractMonitor
`interval, keepRunning, log, monitorThread, path, scheduler, schedulerObjectName, timeout`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.web.loadbalancer.monitor.SimpleMonitorServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`SimpleMonitorService()`

Method Summary
`protected boolean` | `checkHostStatus(org.apache.commons.httpclient.HttpMethod method)` Override this method to create new monitors.

Methods inherited from class org.jboss.web.loadbalancer.monitor.AbstractMonitor
`checkHost, destroyService, getInterval, getPath, getScheduler, getTimeout, isKeepRunning, monitorHosts, run, setInterval, setKeepRunning, setPath, setScheduler, setTimeout, startService, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.web.loadbalancer.monitor.AbstractMonitorMBean
`getInterval, getPath, getScheduler, getTimeout, setInterval, setPath, setScheduler, setTimeout`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### SimpleMonitorService

    public SimpleMonitorService()

Method Detail

### checkHostStatus

    protected boolean checkHostStatus(org.apache.commons.httpclient.HttpMethod method)

  Description copied from class: `AbstractMonitor`
  Override this method to create new monitors.

  Specified by:
    `checkHostStatus` in class `AbstractMonitor`
  Parameters:
    `method` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.